// 2014 March 19
window.addEventListener('DOMContentLoaded',
  function() {
    var w_id, gmap, center_point;
    var mapview = document.querySelector('#mapview');
    var locate = document.querySelector('#locate');

    if (navigator.geolocation) {
      // 現在位置
      w_id = navigator.geolocation.watchPosition(
        function(pos) {
        msg = '緯度：' + pos.coords.latitude + ' ' +
            '経度：' + pos.coords.longitude + '<br />' +
            '方角：' + pos.coords.heading;
          locate.innerHTML = msg;
          // Google Map
          center_point = new google.maps.LatLng(
            pos.coords.latitude, pos.coords.longitude);
          gmap = new google.maps.Map(
            mapview,
            {
              zoom: 17,
              center: center_point,
              mapTypeId: google.maps.MapTypeId.ROADMAP
              //mapTypeId: google.maps.MapTypeId.SATELLITE
              //mapTypeId: google.maps.MapTypeId.HYBRID
              //mapTypeId: google.maps.MapTypeId.TERRAIN
            }
          );
          marker = new google.maps.Marker();
          marker.setPosition(center_point);
          marker.setMap(gmap);

        },
        function(err) {
          // 位置情報の取得に失敗
          var msgs = [
            err.message,
            'Geolocationの利用許可が必要です',
            '位置情報の取得に失敗しました',
            'タイムアウトしました'
          ];
          mapview.innerHTML = msgs[err.code];
        },
        {
          // 位置情報取得設定
          timeout : 5000,
          maximumAge : 0,
          enableHighAccuracy: true
        }
      );
    } else {
      window.alert('Geolocation対応のブラウザでアクセスしてください');
    }
  }, false
);